# Uses of Class
javax.swing.plaf.SplitPaneUI

Packages that use SplitPaneUI
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.
javax.swing.plaf.multi
Provides user interface objects that combine two or more look and feels.
javax.swing.plaf.synth
Synth is a skinnable look and feel in which all painting is delegated.

## Uses of SplitPaneUI in javax.swing

Methods in javax.swing that return SplitPaneUI
Modifier and Type
Method
Description
`SplitPaneUI`
JSplitPane.`getUI()`
Returns the `SplitPaneUI` that is providing the current look and feel.
Methods in javax.swing with parameters of type SplitPaneUI
Modifier and Type
Method
Description
`void`
JSplitPane.`setUI(SplitPaneUI ui)`
Sets the L&F object that renders this component.

## Uses of SplitPaneUI in javax.swing.plaf.basic

Subclasses of SplitPaneUI in javax.swing.plaf.basic
Modifier and Type
Class
Description
`class`
`BasicSplitPaneUI`
A Basic L&F implementation of the SplitPaneUI.

## Uses of SplitPaneUI in javax.swing.plaf.metal

Subclasses of SplitPaneUI in javax.swing.plaf.metal
Modifier and Type
Class
Description
`class`
`MetalSplitPaneUI`
Metal split pane.

## Uses of SplitPaneUI in javax.swing.plaf.multi

Subclasses of SplitPaneUI in javax.swing.plaf.multi
Modifier and Type
Class
Description
`class`
`MultiSplitPaneUI`
A multiplexing UI used to combine `SplitPaneUI`s.

## Uses of SplitPaneUI in javax.swing.plaf.synth

Subclasses of SplitPaneUI in javax.swing.plaf.synth
Modifier and Type
Class
Description
`class`
`SynthSplitPaneUI`
Provides the Synth L&F UI delegate for `JSplitPane`.